# FamilyMemberHistory _search

`POST /FamilyMemberHistory/_search`

This resource contains health conditions for a person related to a patient that may be relevant to the patient’s care.

The history may be very specific or not, depending on the level of disclosure by the patient. Also, one resource contains details for one individual, not a patient’s entire family.

You can review or retrieve family history details for a related person.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for clinical condition details about a person related to a patient you're interacting with or treating. 

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We add a `required` label only to query parameters _a FHIR server requires if you query it directly_. Remember that Redox <u>**data on demand**</u> isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `patient` | Array of string | No | The patient this history is about |
| `patient.identifier` | Array of string | No | One or more external identifiers for the patient |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/FamilyMemberHistory/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'patient=string' \
--data-urlencode 'patient.identifier=string'
```

## Responses

### 200

Search results (Bundle)

Response to a Family Member History search operation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of FamilyMemberHistory or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (FamilyMemberHistory).resource` | object | Yes | A record of significant health conditions for a person related to the patient relevant in the context of care for the patient. |
| `entry[] (FamilyMemberHistory).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: FamilyMemberHistory |
| `entry[] (FamilyMemberHistory).resource.status` | string | Yes | A code specifying the status of the record of the family history of a specific family member. Possible values: partial, completed, entered-in-error, health-unknown |
| `entry[] (FamilyMemberHistory).resource.patient` | object | Yes | The person who this history concerns. Must be a resource of type `Patient`. |
| `entry[] (FamilyMemberHistory).resource.patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (FamilyMemberHistory).resource.relationship` | object | Yes | The type of relationship this person has to the patient (father, mother, brother etc.). |
| `entry[] (FamilyMemberHistory).resource.relationship.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (FamilyMemberHistory).resource.relationship.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (FamilyMemberHistory).resource.relationship.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (FamilyMemberHistory).resource.relationship.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (FamilyMemberHistory).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (FamilyMemberHistory).resource.identifier` | Array of object | No | Business identifiers assigned to this family member history by the performer or other systems which remain constant as the resource is updated and propagates from server to server. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (FamilyMemberHistory).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (FamilyMemberHistory).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (FamilyMemberHistory).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (FamilyMemberHistory).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (FamilyMemberHistory).resource.sex` | object | No | The birth sex of the family member. |
| `entry[] (FamilyMemberHistory).resource.sex.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (FamilyMemberHistory).resource.sex.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (FamilyMemberHistory).resource.sex.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (FamilyMemberHistory).resource.sex.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (FamilyMemberHistory).resource.condition` | Array of object | No | The significant Conditions (or condition) that the family member had. This is a repeating section to allow a system to represent more than one condition per resource, though there is nothing stopping multiple resources - one per condition. |
| `entry[] (FamilyMemberHistory).resource.condition[].code` | object | Yes | The actual condition specified. Could be a coded condition (like MI or Diabetes) or a less specific string like 'cancer' depending on how much is known about the condition and the capabilities of the creating system. |
| `entry[] (FamilyMemberHistory).resource.condition[].code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (FamilyMemberHistory).resource.condition[].code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (FamilyMemberHistory).resource.condition[].code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (FamilyMemberHistory).resource.condition[].code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (FamilyMemberHistory).resource.condition[].contributedToDeath` | boolean | No | This condition contributed to the cause of death of the related person. If contributedToDeath is not populated, then it is unknown. |
| `entry[] (FamilyMemberHistory).resource.condition[].onsetAge` | object | No | Either the age of onset, range of approximate age or descriptive string can be recorded.  For conditions with multiple occurrences, this describes the first known occurrence. |
| `entry[] (FamilyMemberHistory).resource.condition[].onsetAge.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (FamilyMemberHistory).resource.condition[].onsetAge.unit` | string | No | A human-readable form of the unit. Value: yr |
| `entry[] (FamilyMemberHistory).resource.bornDate` | string | No | The actual or approximate date of birth of the relative. |
| `entry[] (FamilyMemberHistory).resource.deceasedBoolean` | boolean | No | Deceased flag or the actual or approximate age of the relative at the time of death for the family member history record. |
| `entry[] (FamilyMemberHistory).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (FamilyMemberHistory).search.mode` | string | Yes | Identifies the FamilyMemberHistory as matching the search parameters. Value: match |
| `entry[] (Other).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Other).search.mode` | string | No | Why this entry is in the result set - whether it's included as a match or because of an _include requirement, or to convey information or warning information about the search process. Possible values: match, include, outcome - why this is in the result set |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "Bundle",
  "type": "searchset",
  "total": 0,
  "entry": [
    {
      "resource": {
        "resourceType": "FamilyMemberHistory",
        "id": "RedoxFamilyMemberHistoryExample",
        "identifier": [
          {
            "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.698084.9",
            "value": "1381262345"
          }
        ],
        "status": "completed",
        "patient": {
          "reference": "Patient/RedoxPatientExampleTimothy"
        },
        "relationship": {
          "text": "Father",
          "coding": [
            {
              "code": "FTH",
              "system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
              "display": "Father"
            }
          ]
        },
        "sex": {
          "text": "male",
          "coding": [
            {
              "code": "male",
              "system": "http://hl7.org/fhir/administrative-gender",
              "display": "Male"
            }
          ]
        },
        "bornDate": "1912-01-01",
        "deceasedBoolean": true,
        "condition": [
          {
            "code": {
              "text": "Myocardial infarction",
              "coding": [
                {
                  "code": "22298006",
                  "system": "http://snomed.info/sct",
                  "display": "Myocardial infarction"
                }
              ]
            },
            "onsetAge": {
              "value": 57
            },
            "contributedToDeath": true
          },
          {
            "code": {
              "text": "Diabetes mellitus type 1",
              "coding": [
                {
                  "code": "46635009",
                  "system": "http://snomed.info/sct",
                  "display": "Diabetes mellitus type 1"
                }
              ]
            },
            "onsetAge": {
              "value": 40
            }
          }
        ]
      },
      "search": {
        "mode": "match"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
